Package org.eclipse.e4.ui.css.core.impl.dom

# Class DocumentCSSImpl

java.lang.Object
org.eclipse.e4.ui.css.core.impl.dom.DocumentCSSImpl

All Implemented Interfaces:
  `ExtendedDocumentCSS`, `DocumentCSS`, `DocumentStyle`

public class DocumentCSSImpl extends Object implements ExtendedDocumentCSS
w3c `DocumentCSS` implementation.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.e4.ui.css.core.dom.ExtendedDocumentCSS

`ExtendedDocumentCSS.StyleSheetChangeListener`

## Field Summary

### Fields inherited from interface org.eclipse.e4.ui.css.core.dom.ExtendedDocumentCSS

`OTHER_SAC_CONDITIONAL_SELECTOR, OTHER_SAC_SELECTOR, SAC_CLASS_CONDITION, SAC_ID_CONDITION, SAC_PSEUDO_CLASS_CONDITION`

## Constructor Summary

Constructors
Constructor
Description
`DocumentCSSImpl()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addStyleSheet(StyleSheet styleSheet)`
`void`
`addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`
`protected List<?>`
`getCSSStyleDeclarationList(int selectorType, int conditionType)`
`protected Integer`
`getKey(int selectorType, int conditionType)`
`CSSStyleDeclaration`
`getOverrideStyle(Element element, String s)`
`protected Map<Integer,List<?>>`
`getStyleDeclarationMap()`
`StyleSheetList`
`getStyleSheets()`
`List<?>`
`queryConditionSelector(int conditionType)`
`List<?>`
`querySelector(int selectorType, int conditionType)`
`protected List<org.w3c.css.sac.Selector>`
`querySelector(CSSRuleList ruleList, int selectorType, int selectorConditionType)`
`void`
`removeAllStyleSheets()`
`void`
`removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)`
`protected void`
`setCSSStyleDeclarationList(List<?> list, int selectorType, int conditionType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentCSSImpl

public DocumentCSSImpl()

## Method Details

### getStyleSheets

public StyleSheetList getStyleSheets()

Specified by:
  `getStyleSheets` in interface `DocumentStyle`

### getOverrideStyle

public CSSStyleDeclaration getOverrideStyle(Element element, String s)

Specified by:
  `getOverrideStyle` in interface `DocumentCSS`

### addStyleSheet

public void addStyleSheet(StyleSheet styleSheet)

Specified by:
  `addStyleSheet` in interface `ExtendedDocumentCSS`

### removeAllStyleSheets

public void removeAllStyleSheets()

Specified by:
  `removeAllStyleSheets` in interface `ExtendedDocumentCSS`

### queryConditionSelector

public List<?> queryConditionSelector(int conditionType)

Specified by:
  `queryConditionSelector` in interface `ExtendedDocumentCSS`

### querySelector

public List<?> querySelector(int selectorType, int conditionType)

Specified by:
  `querySelector` in interface `ExtendedDocumentCSS`

### querySelector

protected List<org.w3c.css.sac.Selector> querySelector(CSSRuleList ruleList, int selectorType, int selectorConditionType)

### getCSSStyleDeclarationList

protected List<?> getCSSStyleDeclarationList(int selectorType, int conditionType)

### setCSSStyleDeclarationList

protected void setCSSStyleDeclarationList(List<?> list, int selectorType, int conditionType)

### getKey

protected Integer getKey(int selectorType, int conditionType)

### getStyleDeclarationMap

protected Map<Integer,List<?>> getStyleDeclarationMap()

### addStyleSheetChangeListener

public void addStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Specified by:
  `addStyleSheetChangeListener` in interface `ExtendedDocumentCSS`

### removeStyleSheetChangeListener

public void removeStyleSheetChangeListener(ExtendedDocumentCSS.StyleSheetChangeListener listener)

Specified by:
  `removeStyleSheetChangeListener` in interface `ExtendedDocumentCSS`